#
# spec file for package perl-Devel-StackTrace
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Devel-StackTrace
Version:        1.27
Release:        1
License:        Artistic 2.0
%define cpan_name Devel-StackTrace
Summary:        An object representing a stack trace
Url:            http://search.cpan.org/dist/Devel-StackTrace/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/D/DR/DROLSKY/Devel-StackTrace-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.bz2
Patch:          %{cpan_name}-1.27_Test_More.patch
%if 0%{?sles_version} == 10
BuildRequires:  perl(Test::More)
%else
BuildRequires:  perl(Test::More) >= 0.88
%endif
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(File::Spec)
Requires:       perl(Scalar::Util)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace and
Devel::StackTrace::Frame. The goal of this object is to encapsulate the
information that can found through using the caller() function, as well as
providing a simple interface to this data.

The Devel::StackTrace object contains a set of Devel::StackTrace::Frame
objects, one for each level of the stack. The frames contain all the data
available from 'caller()'.

This code was created to support my the Exception::Class::Base manpage
class (part of Exception::Class) but may be useful in other contexts.

%prep
%setup -q -n %{cpan_name}-%{version}
%if 0%{?suse_version} <= 1120
%patch -p1
# disable failing test
%{__mv} t/05-back-compat.t t/05-back-compat.tdis
# fix MakeMaker deps
%{__perl} -p -i -e 's|use ExtUtils::MakeMaker 6.31;|use ExtUtils::MakeMaker 6.30;|' Makefile.PL
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes LICENSE README SIGNATURE

%changelog
